Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA295] DSA-295-1 pptpd


Vulnerability Assessment Details

[DSA295] DSA-295-1 pptpd

Vulnerability Assessment Summary
DSA-295-1 pptpd

Detailed Explanation for this Vulnerability Assessment

Timo Sirainen discovered a vulnerability in pptpd, a Point to Point
Tunneling Server, which implements PPTP-over-IPSEC and is commonly
used to create Virtual Private Networks (VPN). By specifying a small
packet length a possible hacker is able to overflow a buffer and execute
code under the user id that runs pptpd, probably root. An exploit for
this problem is already circulating.
For the stable distribution (woody) this problem has been fixed in
version 1.1.2-1.4.
For the old stable distribution (potato) this problem has been
fixed in version 1.0.0-4.2.
For the unstable distribution (sid) this problem has been fixed in
version 1.1.4-0.b3.2.
We recommend that you upgrade your pptpd package immediately.


Solution : http://www.debian.org/security/2003/dsa-295
Network Security Threat Level: High

Networks Security ID: 7316

Vulnerability Assessment Copyright: This script is (C) 2005 Michel Arboi

Cables, Connectors

Asus VivoBook Flip 15.6" FHD Touch 2 in 1 Laptop Intel i7-7500U/12GB/256GB+1TB
$779.99
Asus VivoBook Flip 15.6HP EliteDesk 800 G1 Tower i5-4570 3.30GHz 4GB 1TB Win 7 Pro 3 Yr Wty
$279.99
HP EliteDesk 800 G1 Tower  i5-4570 3.30GHz 4GB 1TB Win 7 Pro 3 Yr Wty pictureHP EliteDesk 800 G1 Tower i5-4570 3.30GHz 8GB 1TB Win 7 Pro 3 Yr Wty
$304.99
HP EliteDesk 800 G1 Tower  i5-4570 3.30GHz 8GB 1TB Win 7 Pro 3 Yr Wty pictureHP EliteDesk 800 G1 Tower i5-4570 3.30GHz 4GB 1TB Win 7 Pro 1 Yr Wty
$239.99
HP EliteDesk 800 G1 Tower  i5-4570 3.30GHz 4GB 1TB Win 7 Pro 1 Yr Wty picture


Discussions

No Discussions have been posted on this vulnerability.